Bug 480276 - [TAHI] IPv6 ICMP statistics table test failed for RFC 4293.
[TAHI] IPv6 ICMP statistics table test failed for RFC 4293.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-16 00:51 EST by Shirley Zhou
Modified: 2015-03-04 19:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-19 10:05:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tcpdump17and18 (1.69 KB, application/octet-stream)
2009-01-16 00:51 EST, Shirley Zhou
no flags Details

  None (edit)
Description Shirley Zhou 2009-01-16 00:51:22 EST
Created attachment 329164 [details]
tcpdump17and18

Description of problem:
Fedora11 has not implemented all IP-MIB ICMP statistics table objects.

Version-Release number of selected component (if applicable):
net-snmp-5.4.2.1-6.fc11.i386 
net-snmp-perl-5.4.2.1-6.fc11.i386
net-snmp-utils-5.4.2.1-6.fc11.i386
net-snmp-libs-5.4.2.1-6.fc11.i386

How reproducible:
Always.

Steps to Reproduce:
1.
2.
3.

Actual results:
ICMP statistics table test failed.

Expected results:
ICMP statistics table test pass.

Additional info:

you may check the test information,sequence log and package at:

http://focus.bne.redhat.com/~szhou/IPv6Self_test/ct-snmpv2c-ag-1.0.1-F10.9-k2.6.29-0.6.rc0.git2.fc11.i386/MIB/17.html
http://focus.bne.redhat.com/~szhou/IPv6Self_test/ct-snmpv2c-ag-1.0.1-F10.9-k2.6.29-0.6.rc0.git2.fc11.i386/MIB/18.html
You may check test procedure at:

http://focus.bne.redhat.com/~szhou/IPv6Self_test/ct-snmpv2c-ag-1.0.1-F10.9-k2.6.29-0.6.rc0.git2.fc11.i386/MIB/MIB_RFC4293_ICMPStatTable.html
http://focus.bne.redhat.com/~szhou/IPv6Self_test/ct-snmpv2c-ag-1.0.1-F10.9-k2.6.29-0.6.rc0.git2.fc11.i386/MIB/MIB_RFC4293_ICMPStatsInMsgs.html
You may refer to attached files"tcpdump17and18" for tcpdump information.
Comment 1 Jan Safranek 2009-01-19 09:16:00 EST
The required patch is not upstream yet, I'll check it in ASAP.

http://sourceforge.net/tracker/index.php?func=detail&aid=1927751&group_id=12694&atid=312694
Comment 2 Jan Safranek 2009-01-19 10:05:07 EST
The patch is upstream now, SVN rev. 17362. It will appear in next release of Net-SNMP (net-snmp-5.5.x)

Note You need to log in before you can comment on or make changes to this bug.